%define upstream_name    DCOP
%define upstream_version 0.038

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Epoch:      2

Summary:    Extensible inheritable class to dcop
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch



%description
This class is meant to be a base constructor for higher level of
abstraction on dcop clients.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2:0.38.0-8.mga6
+ Revision: 1025481
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 2:0.38.0-7.mga6
+ Revision: 941152
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:0.38.0-6.mga5
+ Revision: 745042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:0.38.0-5.mga5
+ Revision: 684150
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2:0.38.0-4.mga4
+ Revision: 510470
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2:0.38.0-3.mga3
+ Revision: 365198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 2:0.38.0-2.mga1
+ Revision: 22327
- cleaning spec file
- imported package perl-DCOP

